Subject: Re: [bug#30604] [PATCH v8 2/7] linux-modules: Add install-modules.

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 4 Mar 2018 13:45:04 +0100

Hi Ludo,

>   (write-module-alias-database modules port)  ;for “modules.alias”
>   (write-module-device-database modules port) ;for “modules.devname”

I'd prefer "install-" because their interface is somewhat like install-file
(caller provides output directory and callee adds "modules."* automatically).

But I used the names "write-module-"* in the patchset v9.

> I’m not sure we need ‘install-module-files’ itself.  Perhaps we can
> inline it at the call site?

Sure.  Did so now.

> For the devname code, please avoid ‘set!’.

I found an even better way to avoid both.

> The indentation of ‘match’ forms is wrong.  Would it be OK for you to
> pass it through ./etc/indent-code.el?  (It’s non interactive, you don’t
> need to actually use Emacs.)

I'm actually trying to switch to emacs but when I press Tab it messes up
the stuff more.  Is there some kind of configuration for guile indentation?

Also, every time I open gnu/build/linux-modules.scm I get

"The local variables list .. may not be safe

* bug-reference-bug-repexp
* eval: (modify-syntax-entry 126 "'")
* eval: (modify-syntax-entry 36 "'")
* eval: (modify-syntax-entry 43 "'")"

???